unit test_ibo_main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, IB_Session, IB_Components, frxClass, frxIB_Components, frxDesgn, StdCtrls,
  frxIBOSet, frxDCtrl;

type
  TForm1 = class(TForm)
    IB_Connection1: TIB_Connection;
    IB_Transaction1: TIB_Transaction;
    Report: TfrxReport;
    frxDesigner1: TfrxDesigner;
    frxIB_Components1: TfrxIB_Components;
    DesignBtn: TButton;
    OpenBtn: TButton;
    frxIBODataset1: TfrxIBODataset;
    IB_Query1: TIB_Query;
    frxDialogControls1: TfrxDialogControls;
    EditDbName: TEdit;
    Label1: TLabel;
    SelectBtn: TButton;
    OpenDialog1: TOpenDialog;
    TestSession: TIB_Session;
    FR_Transaction: TIB_Transaction;
    frxIBODataset2: TfrxIBODataset;
    IB_Query2: TIB_Query;
    frxIBODataset3: TfrxIBODataset;
    IB_Query3: TIB_Query;
    IB_DataSource2: TIB_DataSource;
    procedure FormCreate(Sender: TObject);
    procedure SelectBtnClick(Sender: TObject);
    procedure OpenBtnClick(Sender: TObject);
    procedure DesignBtnClick(Sender: TObject);
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.DesignBtnClick(Sender: TObject);
begin
  Report.DesignReport;
end;

procedure TForm1.OpenBtnClick(Sender: TObject);
begin
  IB_Connection1.DatabaseName := EditDbName.Text;
  IB_Connection1.Open;
end;

procedure TForm1.SelectBtnClick(Sender: TObject);
begin
  if OpenDialog1.Execute then
  begin
    EditDbName.Text := OpenDialog1.FileName;
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  EditDbName.Text := IB_Connection1.DatabaseName;
end;

end.
